仅在使用时加载搜索。在下方浏览所有类别。

账号与工作区

更新用户资料

更改已登录用户自己的资料(display_name、timezone、avatar_url、theme)。仅发送需要更改的字段。

POST /identity-api/user/profile/update

契约审核日期: · sha256:563d2d581da0ad29

概览

更改已登录用户自己的资料(display_name、timezone、avatar_url、theme)。仅发送需要更改的字段。

成功 HTTP 响应可能表示请求已接受,并非已完成。背景工作请存储返回 ID,持续检查同一操作直到完成。已排程或已接受的帖子,只有平台确认后才算已发布;客户端逾时无法证明结果。

验证与权限

接受的凭证类别
user_session, delegated_oauth, personal_access_token
委派能力
agent:operate
最低工作区角色
此契约没有最低工作区角色要求;拥有权与授权检查仍然适用。
访问范围
此用户有权访问的资源
需要所有工作区同意
否
变更状态
是
操作完成时
synchronous_http_response

令牌只能使用其所有者持有的权利。每次请求会检查工作区成员资格、资源拥有权、所选工作区及已授予能力。core 与 full 配置只变更显示的工具,不会授予访问权限。

请求字段

「必填」是指在其父对象及所选分支内必填。必填子字段不会使可选父对象变成必填。下列规则与字段名称均复制自契约。

请求字段
字段 / 分支类型 / 必填约束
$object在父对象中必填
  • additionalProperties: false
display_namestring可选/项目
  • minLength: 0
  • maxLength: 120
timezonestring可选/项目
  • minLength: 1
  • maxLength: 64
avatar_urlstring可选/项目
  • minLength: 0
  • maxLength: 2048
themestring可选/项目
  • enum: ["light","dark","system"]
expected_versioninteger可选/项目

可选。你读取到的版本。如其之后发生变化,更新会以 409 VERSION_CONFLICT 失败,不会覆盖。

  • maximum: 2147483647
  • exclusiveMinimum: 0
include_versionboolean可选/项目

可选。true 会将资源版本加入响应。

—
完整 JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "display_name": {
      "type": "string",
      "minLength": 0,
      "maxLength": 120
    },
    "timezone": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "avatar_url": {
      "type": "string",
      "minLength": 0,
      "maxLength": 2048
    },
    "theme": {
      "type": "string",
      "enum": [
        "light",
        "dark",
        "system"
      ]
    },
    "expected_version": {
      "description": "Optional. The version you read. If it changed since, the update fails with 409 VERSION_CONFLICT instead of overwriting.",
      "type": "integer",
      "exclusiveMinimum": 0,
      "maximum": 2147483647
    },
    "include_version": {
      "description": "Optional. true adds the resource version to the answer.",
      "type": "boolean"
    }
  },
  "additionalProperties": false
}

响应与完成

成功 HTTP 状态:200。操作完成时: synchronous_http_response.

成功 HTTP 响应可能表示请求已接受,并非已完成。背景工作请存储返回 ID,持续检查同一操作直到完成。已排程或已接受的帖子,只有平台确认后才算已发布;客户端逾时无法证明结果。

「必填」是指在其父对象及所选分支内必填。必填子字段不会使可选父对象变成必填。下列规则与字段名称均复制自契约。

响应与完成
字段 / 分支类型 / 必填约束
$object在父对象中必填—
actionstring在父对象中必填
  • const: "update"
profileobject在父对象中必填—
profile.user_idstring在父对象中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
profile.display_namestring | null在父对象中必填—
profile.display_nameanyOf 1string在父对象中必填—
profile.display_nameanyOf 2null在父对象中必填—
profile.timezonestring | null在父对象中必填—
profile.timezoneanyOf 1string在父对象中必填—
profile.timezoneanyOf 2null在父对象中必填—
profile.avatar_urlstring | null在父对象中必填—
profile.avatar_urlanyOf 1string在父对象中必填—
profile.avatar_urlanyOf 2null在父对象中必填—
profile.avatar_preview_urlstring | null可选/项目—
profile.avatar_preview_urlanyOf 1string可选/项目
  • format: "uri"
profile.avatar_preview_urlanyOf 2null可选/项目—
profile.avatar_preview_expires_atstring | null可选/项目—
profile.avatar_preview_expires_atanyOf 1string可选/项目
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
profile.avatar_preview_expires_atanyOf 2null可选/项目—
profile.themestring | null在父对象中必填—
profile.themeanyOf 1string在父对象中必填
  • enum: ["light","dark","system"]
profile.themeanyOf 2null在父对象中必填—
profile.created_atstring | null在父对象中必填—
profile.created_atanyOf 1string在父对象中必填—
profile.created_atanyOf 2null在父对象中必填—
profile.updated_atstring | null在父对象中必填—
profile.updated_atanyOf 1string在父对象中必填—
profile.updated_atanyOf 2null在父对象中必填—
profile.deletion_scheduled_atstring | null在父对象中必填—
profile.deletion_scheduled_atanyOf 1string在父对象中必填—
profile.deletion_scheduled_atanyOf 2null在父对象中必填—
profile.hard_delete_atstring | null在父对象中必填—
profile.hard_delete_atanyOf 1string在父对象中必填—
profile.hard_delete_atanyOf 2null在父对象中必填—
profile.versioninteger可选/项目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
完整 JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "action": {
      "type": "string",
      "const": "update"
    },
    "profile": {
      "type": "object",
      "properties": {
        "user_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "display_name": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "timezone": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "avatar_url": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "avatar_preview_url": {
          "anyOf": [
            {
              "type": "string",
              "format": "uri"
            },
            {
              "type": "null"
            }
          ]
        },
        "avatar_preview_expires_at": {
          "anyOf": [
            {
              "type": "string",
              "format": "date-time",
              "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
            },
            {
              "type": "null"
            }
          ]
        },
        "theme": {
          "anyOf": [
            {
              "type": "string",
              "enum": [
                "light",
                "dark",
                "system"
              ]
            },
            {
              "type": "null"
            }
          ]
        },
        "created_at": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "updated_at": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "deletion_scheduled_at": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "hard_delete_at": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "version": {
          "type": "integer",
          "exclusiveMinimum": 0,
          "maximum": 9007199254740991
        }
      },
      "required": [
        "user_id",
        "display_name",
        "timezone",
        "avatar_url",
        "theme",
        "created_at",
        "updated_at",
        "deletion_scheduled_at",
        "hard_delete_at"
      ]
    }
  },
  "required": [
    "action",
    "profile"
  ]
}

错误与安全重试

检查 HTTP 状态和响应正文。400 验证错误可能包含 ZodError;处理程序错误使用 error、message 和 code 字段。保留 request_id 或 x-request-id 以便诊断,但不要保留凭证。先解决 401/403 访问错误再重试,并在收到 429 时遵循 Retry-After。如写入结果不确定或返回 5xx,先读取现有结果。仅在支持时复用幂等键;重试行为因操作而异,并不保证恰好交付一次。

故障排查指南

示例

这些示例使用已依schema检查的虚构值。请将 ID 替换为你有权使用的 ID、将媒体替换为已就绪素材,并将日期替换为已确认的发布时间。提交写入前,请检查账号资格。本页不会发送 API 请求。

在服务器上将 SOSOAPI_ACCESS_TOKEN 设为此操作接受的凭证,且不要放入浏览器代码。agent 请使用 sosoapi auth login 通过浏览器登录,并由 CLI 更新凭证。

request.json

{}

cURL

curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/identity-api/user/profile/update" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json

JavaScript

// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/identity-api/user/profile/update", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.

CLI

npx sosoapi api post /identity-api/user/profile/update < request.json

合成响应示例

{
  "action": "update",
  "profile": {
    "user_id": "11111111-1111-4111-8111-111111111111",
    "display_name": null,
    "timezone": null,
    "avatar_url": null,
    "theme": null,
    "created_at": null,
    "updated_at": null,
    "deletion_scheduled_at": null,
    "hard_delete_at": null
  }
}

MCP: sosoapi_update_user_profile